# Define pkgdocdir for releases that don't define it already
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:          python-qpid_messaging
Summary:       Python bindings for the Qpid messaging framework
Version:       0.30
Release:       1%{?dist}

License:       ASL 2.0
URL:           http://qpid.apache.org
Source0:       http://www.apache.org/dist/qpid/%{version}/qpid-cpp-%{version}.tar.gz

Patch0001:     0001-NO-JIRA-Change-python.i-to-qpid_messaging.i-in-extra.patch

BuildRequires: python-devel
BuildRequires: swig
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: qpid(cpp-client-devel)%{?_isa} = %{version}

Requires:      python
Requires:      qpid(cpp-client)%{?_isa} = %{version}
Requires:      python-qpid-common

%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$
%filter_setup}


%description
%{summary}.


%prep
%setup -q -n qpid-cpp-%{version}

%patch0001 -p3

mkdir python-qpid_messaging-%{version}
pushd python-qpid_messaging-%{version}

cp -r ../bindings/qpid/python/* .
cp ../LICENSE .
mv extra_dist/* .

popd


%build

pushd python-qpid_messaging-%{version}
%cmake .
make %{?_smp_mflags}
popd


%install

pushd python-qpid_messaging-%{version}
%make_install

chmod 755 %{buildroot}/%{python_sitearch}/_qpid_messaging.so

popd

%clean


%files
%doc python-qpid_messaging-%{version}/LICENSE
%doc python-qpid_messaging-%{version}/README
%{python_sitearch}/qpid_messaging.py
%{python_sitearch}/qpid_messaging.pyc
%{python_sitearch}/qpid_messaging.pyo
%{python_sitearch}/_qpid_messaging.so


%changelog
* Mon Oct  6 2014 Darryl L. Pierce <dpierce@redhat.com> - 0.30-1
- Rebased on Qpid 0.30 release.
- Changed upstream source tarball to the monolithic Qpid sources.

* Mon Aug 18 2014 Darryl L. Pierce <dpierce@redhat.com> - 0.28-4
- Updated requires on virtual Qpid packages.

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jun  5 2014 Darryl L. Pierce <dpierce@redhat.com> - 0.28-1
- Rebased on Qpid 0.28.

* Mon Jun  2 2014 Darryl L. Pierce <dpierce@redhat.com> - 0.26-2
- Updated dependencies to use virtual qpid packages.
- Resolves: BZ#1103572

* Mon Feb 24 2014 Darryl L. Pierce <dpierce@redhat.com> - 0.26-1
- Rebased on Qpid 0.26.

* Wed Sep 25 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.24-3
- First official build for Fedora.
- Resolves: BZ#1012077

* Wed Sep 25 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.24-2
- Removed defattr from files section.
- Used make install macro.
- Fixed typo in old changelog entry.

* Wed Sep 25 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.24-1
- Initial package based on Qpid 0.24.
